<?php

namespace Diamond\Application\Notification\Exceptions;


class EmailAccountDisabledException extends NotificationException
{

    protected $email;

    public function __construct(string $txt, string $email)
    {
        $this->email = $email;
        parent::__construct($txt);
    }

    public function getEmail(): string
    {
        return $this->email;
    }

}